#
# mountall.sh	Mount all filesystems.
#
# Version:	@(#)mountall.sh  2.85-9  23-Dec-2003  miquels@cistron.nl
#
. /etc/default/rcS
. /etc/init.d/bootclean.sh

#
# Mount local file systems in /etc/fstab.
#
[ "$VERBOSE" != no ] && echo "Mounting local filesystems..."
mount -av -t nonfs,nosmbfs,noncpfs,nocoda 2>&1 |
	egrep -v '(already|nothing was) mounted'

#
# We might have mounted something over /dev, see if /dev/initctl is there.
#
if [ ! -p /dev/initctl ]
then
	rm -f /dev/initctl
	mknod -m 600 /dev/initctl p
fi
kill -USR1 1

#
# Execute swapon command again, in case we want to swap to
# a file on a now mounted filesystem.
#
doswap=yes
case "`uname -r`" in
	2.[0123].*)
		if grep -qs resync /proc/mdstat
		then
			doswap=no
		fi
		;;
esac
if [ $doswap = yes ]
then
	swapon -a 2> /dev/null
fi

#
#	Clean /tmp, /var/lock, /var/run
#
bootclean mountall

: exit 0

